<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

  <title>task-manager-client: XML</title>

  <!-- Mobile viewport optimized: j.mp/bplateviewport -->
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Bootstrap core CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

  <!--custom css for these pages-->
  <link rel="stylesheet" href="css/enunciate.css">

  <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->
</head>

<body data-spy="scroll" data-target="#apinav">

  <nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="index.html">task-manager-client: XML</a>
      </div>
      <div id="navbar" class="navbar-collapse collapse">
        <ul class="nav navbar-nav navbar-right">
          <li><a href="services.html">Services</a></li>
          <li><a href="data.html">Data Types</a></li>
          <li><a href="downloads.html">Files and Libraries</a></li>
        </ul>
      </div>
    </div>
  </nav>

  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-3 col-md-2 sidebar" id="apinav">
        <ul class="nav nav-sidebar">
          <li class="text-right"><a href="#top"><small>Back to Top</small></a></li>
        </ul>
      </div>

      <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
        <ol class="breadcrumb" id="top">
          <li class="active dropdown"><a href="index.html">Home</a></li>
          <li class="dropdown"><a href="syntax_xml.html">XML</a></li>
        </ol>

  <h1 class="page-header">XML</h1>

  <table class="table table-hover datatypes">
  <caption>Namespace <code>http://endpoint.tm.amster.ru/</code> (<a href="ns0.xsd">schema</a>)</caption>
  <thead>
    <tr>
      <th align="center">type</th>
      <th align="center">description</th>
    </tr>
  </thead>
  <tbody data-link="row" class="rowlink">
    <tr class="clickable-row" data-href="xml_ns0_abstractEntity.html">
      <td>  <span class="datatype-name">abstractEntity</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for abstractEntity complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="abstractEntity"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="id" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_domain.html">
      <td>  <span class="datatype-name">domain</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for domain complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="domain"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="projects" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}project">http://endpoint.tm.amster.ru/}project</a>" maxOccurs="unbounded" minOccurs="0"/&gt;
         &lt;element name="tasks" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}task">http://endpoint.tm.amster.ru/}task</a>" maxOccurs="unbounded" minOccurs="0"/&gt;
         &lt;element name="users" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}user">http://endpoint.tm.amster.ru/}user</a>" maxOccurs="unbounded" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_export.html">
      <td>  <span class="datatype-name">export</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for export complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="export"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="session" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}session">http://endpoint.tm.amster.ru/}session</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_exportResponse.html">
      <td>  <span class="datatype-name">exportResponse</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for exportResponse complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="exportResponse"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="return" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}domain">http://endpoint.tm.amster.ru/}domain</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_findAllUser.html">
      <td>  <span class="datatype-name">findAllUser</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for findAllUser complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="findAllUser"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="session" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}session">http://endpoint.tm.amster.ru/}session</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_findAllUserResponse.html">
      <td>  <span class="datatype-name">findAllUserResponse</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for findAllUserResponse complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="findAllUserResponse"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="return" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}user">http://endpoint.tm.amster.ru/}user</a>" maxOccurs="unbounded" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_findUserById.html">
      <td>  <span class="datatype-name">findUserById</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for findUserById complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="findUserById"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="session" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}session">http://endpoint.tm.amster.ru/}session</a>" minOccurs="0"/&gt;
         &lt;element name="id" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_findUserByIdResponse.html">
      <td>  <span class="datatype-name">findUserByIdResponse</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for findUserByIdResponse complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="findUserByIdResponse"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="return" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}user">http://endpoint.tm.amster.ru/}user</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_findUserByLogin.html">
      <td>  <span class="datatype-name">findUserByLogin</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for findUserByLogin complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="findUserByLogin"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="session" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}session">http://endpoint.tm.amster.ru/}session</a>" minOccurs="0"/&gt;
         &lt;element name="login" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_findUserByLoginResponse.html">
      <td>  <span class="datatype-name">findUserByLoginResponse</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for findUserByLoginResponse complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="findUserByLoginResponse"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="return" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}user">http://endpoint.tm.amster.ru/}user</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_load.html">
      <td>  <span class="datatype-name">load</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for load complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="load"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="session" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}session">http://endpoint.tm.amster.ru/}session</a>" minOccurs="0"/&gt;
         &lt;element name="domain" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}domain">http://endpoint.tm.amster.ru/}domain</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_loadResponse.html">
      <td>  <span class="datatype-name">loadResponse</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for loadResponse complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="loadResponse"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_lockUserByLogin.html">
      <td>  <span class="datatype-name">lockUserByLogin</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for lockUserByLogin complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="lockUserByLogin"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="session" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}session">http://endpoint.tm.amster.ru/}session</a>" minOccurs="0"/&gt;
         &lt;element name="login" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_lockUserByLoginResponse.html">
      <td>  <span class="datatype-name">lockUserByLoginResponse</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for lockUserByLoginResponse complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="lockUserByLoginResponse"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="return" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}user">http://endpoint.tm.amster.ru/}user</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_project.html">
      <td>  <span class="datatype-name">project</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for project complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="project"&gt;
   &lt;complexContent&gt;
     &lt;extension base=" <a target="_blank" href="http://endpoint.tm.amster.ru/}abstractEntity">http://endpoint.tm.amster.ru/}abstractEntity</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="description" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="name" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="userId" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/extension&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_removeUserById.html">
      <td>  <span class="datatype-name">removeUserById</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for removeUserById complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="removeUserById"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="session" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}session">http://endpoint.tm.amster.ru/}session</a>" minOccurs="0"/&gt;
         &lt;element name="id" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_removeUserByIdResponse.html">
      <td>  <span class="datatype-name">removeUserByIdResponse</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for removeUserByIdResponse complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="removeUserByIdResponse"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_removeUserByLogin.html">
      <td>  <span class="datatype-name">removeUserByLogin</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for removeUserByLogin complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="removeUserByLogin"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="session" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}session">http://endpoint.tm.amster.ru/}session</a>" minOccurs="0"/&gt;
         &lt;element name="login" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_removeUserByLoginResponse.html">
      <td>  <span class="datatype-name">removeUserByLoginResponse</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for removeUserByLoginResponse complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="removeUserByLoginResponse"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_role.html">
      <td>  <span class="datatype-name">role</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for role.

<p>The following schema fragment specifies the expected content contained within this class.
<p>
<pre>
 &lt;simpleType name="role"&gt;
   &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>"&gt;
     &lt;enumeration value="USER"/&gt;
     &lt;enumeration value="ADMIN"/&gt;
   &lt;/restriction&gt;
 &lt;/simpleType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_session.html">
      <td>  <span class="datatype-name">session</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for session complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="session"&gt;
   &lt;complexContent&gt;
     &lt;extension base=" <a target="_blank" href="http://endpoint.tm.amster.ru/}abstractEntity">http://endpoint.tm.amster.ru/}abstractEntity</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="signature" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="timestamp" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}long">http://www.w3.org/2001/XMLSchema}long</a>" minOccurs="0"/&gt;
         &lt;element name="userId" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/extension&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_task.html">
      <td>  <span class="datatype-name">task</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for task complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="task"&gt;
   &lt;complexContent&gt;
     &lt;extension base=" <a target="_blank" href="http://endpoint.tm.amster.ru/}abstractEntity">http://endpoint.tm.amster.ru/}abstractEntity</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="description" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="name" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="userId" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/extension&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_unlockUserByLogin.html">
      <td>  <span class="datatype-name">unlockUserByLogin</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for unlockUserByLogin complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="unlockUserByLogin"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="session" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}session">http://endpoint.tm.amster.ru/}session</a>" minOccurs="0"/&gt;
         &lt;element name="login" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_unlockUserByLoginResponse.html">
      <td>  <span class="datatype-name">unlockUserByLoginResponse</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for unlockUserByLoginResponse complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="unlockUserByLoginResponse"&gt;
   &lt;complexContent&gt;
     &lt;restriction base=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}anyType">http://www.w3.org/2001/XMLSchema}anyType</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="return" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}user">http://endpoint.tm.amster.ru/}user</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns0_user.html">
      <td>  <span class="datatype-name">user</span>
</td>
      <td>  <span class="datatype-description"><p>Java class for user complex type.

<p>The following schema fragment specifies the expected content contained within this class.

<pre>
 &lt;complexType name="user"&gt;
   &lt;complexContent&gt;
     &lt;extension base=" <a target="_blank" href="http://endpoint.tm.amster.ru/}abstractEntity">http://endpoint.tm.amster.ru/}abstractEntity</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="email" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="fistName" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="lastName" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="locked" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}boolean">http://www.w3.org/2001/XMLSchema}boolean</a>" minOccurs="0"/&gt;
         &lt;element name="login" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="middleName" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="passwordHash" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="role" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}role">http://endpoint.tm.amster.ru/}role</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/extension&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre></span>
</td>
    </tr>
  </tbody>
  </table>

        <footer class="footer">
          <div class="container">
            <p class="text-muted">Generated by <a href="http://enunciate.webcohesion.com">Enunciate</a>.</p>
          </div>
        </footer>

      </div>
    </div>
  </div>


  <!-- JavaScript placed at the end of the document so the pages load faster. -->
  <script src="https://code.jquery.com/jquery-1.12.2.min.js"></script>

  <!-- Bootstrap core JavaScript
  ================================================== -->
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

  <!-- prettify code blocks. see http://code.google.com/p/google-code-prettify/ -->
  <script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js" type="text/javascript"></script>
  <script>
    $(function() {
      $(".clickable-row").click(function() {
        window.document.location = $(this).data("href");
      });

      $('[data-toggle="tooltip"]').tooltip()
    });
  </script>

</body>
</html>
